package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.StoreInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.StoreInfoMapper")
public interface StoreInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(StoreInfo record);

    StoreInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(StoreInfo record);

    List<StoreInfo> queryAllStoreInfo(StoreInfo record);

    List<StoreInfo> queryAllStoreInfoForHome(StoreInfo record);

    List<StoreInfo> queryStoreInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    StoreInfo queryStoreInfo(StoreInfo record);

    List<StoreInfo> query(StoreInfo record);

    int updateUseFlagByUserId(Map<String,Object> parameter);
}

